{
  "name": "table/common/sequence_number.json",
  "table_name": "sequence_number",
  "table_prefix": "seq",
  "field":[
    {
      "name":"code_id",
      "type":"varchar",
      "length":60,
      "constraint":["primary key", "unique"]
    },
    {
      "name":"sequence_field",
      "type":"varchar",
      "length":60
    },
    {
      "name":"serie",
      "type":"varchar",
      "length":40
    },
    {
      "name":"organization_id",
      "type":"integer"
    },
    {
      "name":"prefix",
      "type":"varchar",
      "length":20
    },
    {
      "name":"sequence_length",
      "type":"integer"
    },
    {
      "name":"running_number",
      "type":"integer"
    },
    {
      "name":"full_sequence",
      "type":"varchar",
      "length":40
    },
    {
      "name":"start_number",
      "type":"integer"
    },
    {
      "name":"end_number",
      "type":"integer"
    },
    {
      "name":"start_date",
      "type":"date"
    },
    {
      "name":"end_date",
      "type":"date"
    },
    {
      "name":"type_field",
      "type":"varchar",
      "length":60
    },
    {
      "name":"company_field",
      "type":"varchar",
      "length":60
    },
    {
      "name":"date_field",
      "type":"varchar",
      "length":60
    },
    {
      "name":"info",
      "type":"text"
    },
    {
     "name":"record_type",
     "type":"varchar",
     "length":20
    }
  ]
}
